var costoPerViewService = function($filter, $http, $q) {
	return { 
		actionCall: function(action, data){
	    	var defered = $q.defer();
			$http.post(contextPath + action, data)
						.success(function(data) {
							defered.resolve(data);
						}).error(function(err) {
							defered.reject(err);
						});
			return defered.promise;	
	    },
		getAnio: function(fecha){
			var fsplited = fecha.split("/");
			if(fsplited.length == 2)
				return fsplited[1];      
			else
				return null;
		},
		getMes: function (fecha){	
			var meses = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"];
			var fsplited = fecha.split("/");
			if(fsplited.length == 2)
				return meses[parseInt(fsplited[0]) - 1];     
			else
				return null;
		}
	};
};

registraService("costoPerViewService", costoPerViewService);
